<?php

require "../connect.php";

// Check if request method is POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve input data
    $name = $_POST["name"];
    $price = $_POST["price"];
    $user_id = $_POST["user_id"];
    $store_id = $_POST["store_id"];

    // Validate input data
    if (!empty($name) && is_numeric($price) && $price >= 0 && !empty($user_id) && !empty($store_id)) {
        // Prepare the INSERT statement
        $insert_query = "INSERT INTO expenses (name, price, user_id, store_id) VALUES (?, ?, ?, ?)";
        $stmt = mysqli_prepare($con, $insert_query);

        // Bind parameters to the prepared statement
        mysqli_stmt_bind_param($stmt, "sdss", $name, $price, $user_id, $store_id);

        // Execute the statement
        if (mysqli_stmt_execute($stmt)) {
            // Success response
            $response['success'] = true;
            $response['message'] = "Expense recorded successfully";
        } else {
            // Error response
            $response['success'] = false;
            $response['message'] = "Error: " . mysqli_stmt_error($stmt);
        }

        // Close statement
        mysqli_stmt_close($stmt);
    } else {
        // Invalid input response
        $response['success'] = false;
        $response['message'] = "Invalid input data";
    }
} else {
    // Invalid request method response
    $response['success'] = false;
    $response['message'] = "Invalid request method";
}

// Return JSON response
echo json_encode($response);

// Close database connection
mysqli_close($con);

?>

