<?php

require "../connect.php";

// Retrieve parameters from POST request
$product_name = $_POST["product_name"];
$description = $_POST["description"];
$quantity = $_POST["quantity"];
$min_quantity = $_POST["min_quantity"];
$buying_price = $_POST["buying_price"];
$selling_price = $_POST["selling_price"];

// Update stock data in the database
$update_query = "UPDATE stock SET description=?, quantity=?, min_quantity=?, b_price=?, s_price=? WHERE name=?";
$stmt = mysqli_prepare($con, $update_query);

if ($stmt) {
    // Bind parameters
    mysqli_stmt_bind_param($stmt, "siidds", $description, $quantity, $min_quantity, $buying_price, $selling_price, $product_name);
    
    // Execute the query
    if (mysqli_stmt_execute($stmt)) {
        $response['success'] = true;
        $response['message'] = "Stock updated successfully";
    } else {
        $response['success'] = false;
        $response['message'] = "Error: " . mysqli_stmt_error($stmt);
    }

    // Close statement
    mysqli_stmt_close($stmt);
} else {
    $response['success'] = false;
    $response['message'] = "Error: " . mysqli_error($con);
}

// Send response
echo json_encode($response);

// Close connection
mysqli_close($con);

?>

