<?php
// Include database connection file
require '../../connect.php';

$flag = array('success' => 0, 'message' => '');

if (!isset($_POST['token']) || !isset($_POST['password']) || !isset($_POST['confirm_password'])) {
    $flag['message'] = "Invalid request";
    echo json_encode($flag);
    exit;
}

$token = $_POST['token'];
$password = $_POST['password'];
$confirm_password = $_POST['confirm_password'];

if ($password !== $confirm_password) {
    $flag['message'] = "Passwords do not match";
    echo json_encode($flag);
    exit;
}

$query = "SELECT username FROM users WHERE reset_token=? AND reset_token_expiry > NOW() LIMIT 1";
$stmt = mysqli_prepare($con, $query);

if ($stmt) {
    mysqli_stmt_bind_param($stmt, "s", $token);

    if (mysqli_stmt_execute($stmt)) {
        $result = mysqli_stmt_get_result($stmt);

        if (mysqli_num_rows($result) > 0) {
            $user = mysqli_fetch_assoc($result);
            $username = $user['username'];

            // Update the user's password and clear the reset token
            $hashed_password = password_hash($password, PASSWORD_DEFAULT);
            $update_query = "UPDATE users SET password=?, reset_token=NULL, reset_token_expiry=NULL WHERE username=?";
            $update_stmt = mysqli_prepare($con, $update_query);

            if ($update_stmt) {
                mysqli_stmt_bind_param($update_stmt, "ss", $hashed_password, $username);

                if (mysqli_stmt_execute($update_stmt)) {
                    $flag['success'] = 1;
                    $flag['message'] = "Password successfully reset";
                } else {
                    $flag['message'] = "Database update error: " . mysqli_error($con);
                }

                mysqli_stmt_close($update_stmt);
            } else {
                $flag['message'] = "Database query preparation error: " . mysqli_error($con);
            }
        } else {
            $flag['message'] = "Invalid or expired token";
        }
    } else {
        $flag['message'] = "Database query execution error: " . mysqli_error($con);
    }

    mysqli_stmt_close($stmt);
} else {
    $flag['message'] = "Database query preparation error: " . mysqli_error($con);
}

mysqli_close($con);

echo json_encode($flag);
?>
